#
# spec file for package python-padaos
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define skip_python2 1

%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-padaos
Version:        0.1.7
Release:        2.1
Summary:        An intent parser
License:        MIT
Group:          Development/Languages/Python
Url:            http://github.com/MatthewScholefield/padaos
Source:         https://files.pythonhosted.org/packages/source/p/padaos/padaos-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch

%python_subpackages

%description
A intent parser Python module.

Padaos converts a series of example sentences into one big chunk of
regex. Each intent is a single compiled regex matcher.

%prep
%setup -q -n padaos-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc README.md
%{python_sitelib}/*

%changelog
* Thu Nov  1 2018 alarrosa@suse.com
- Update to padaos 0.1.7
  * Fix Python 3.7 regex issue
* Thu Jul 26 2018 jengelh@inai.de
- Ensure neutrality of description.
* Sun Jul  1 2018 alarrosa@suse.com
- Initial release of python-padaos 0.1.6
